<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">

<head>
    <th:block th:include="~{fragments/head}"></th:block>
    <title>SafetyCar</title>
    <script src='https://www.google.com/recaptcha/api.js'></script>
    <link href="/assets/css/required-mark.css" rel="stylesheet">
</head>

<body>
<th:block th:include="~{fragments/header}"></th:block>

<main id="main">
    <!-- ======= Breadcrumbs ======= -->
    <section id="breadcrumbs" class="breadcrumbs">
        <div class="container">

            <div class="d-flex justify-content-between align-items-center">
                <h2>Offer Simulation</h2>
                <ol>
                    <li><a href="/">Home</a></li>
                    <li>Offer Simulation</li>
                </ol>
            </div>
        </div>
    </section>
    <!-- End Breadcrumbs -->

    <!-- ======= Request Policy Section ======= -->
    <section id="contact" class="contact">
        <div class="container">
            <div class="justify-content-center">
                <h5 style="display: flex; justify-content: center">Fill out the form below in order to create a
                    simulation offer</h5>
            </div>
            <div class="row mt-5 justify-content-center" data-aos="fade-up">
                <div class="col-lg-10">

                    <form action="#" th:action="@{/offer}" th:object="${simulationOfferDTO}" method="post"
                          role="form" class="php-email-form">
                        <p>
                            <i th:if="${error != null}" th:text="${error}" class="error"
                               style="color:red; font-size:x-large"/>
                        </p>

                        <div th:if="*{premium} != 0.0">
                            <div class="form-row justify-content-center">
                                <div class="form-group justify-content-center">
                                    <br/>
                                    <label for="premium"
                                           style="font-size: large; color: #218838; align-content: center"><b>Total
                                        premium for your insurance: </b></label>
                                    <span id="premium" th:text="*{premium}"
                                          style="font-size: large; font-weight: bolder"></span>
                                    <span style="font-size: large; font-weight: bolder"> BGN</span>
                                    <br/>
                                    <br/>
                                    <a id="policyRequestButton" th:href="@{/policy}" class="btn btn-success">
                                        PROCEED TO POLICY REQUEST</a>
                                    <br/>
                                </div>
                            </div>
                        </div>

                        <div class="form-row justify-content-center">
                            <div class="col-md-6 form-group req-asterisk">
                                <label for="cubic-capacity"><b>Cubic capacity</b></label>
                                <label th:errors="*{cubicCapacity}" style="color: red; font-weight: bold"></label>
                                <input th:field="*{cubicCapacity}" type="text" name="cubic-capacity"
                                       class="form-control"
                                       id="cubic-capacity"
                                       required/>
                            </div>
                        </div>
                        <div class="form-row justify-content-center">
                            <div class="col-md-6 form-group req-asterisk">
                                <label for="first-registration-date"><b>First registration date</b></label>
                                <label th:if="${regDateError != null}" th:text="${regDateError}"
                                       style="color: red; font-weight: bold"></label>
                                <label th:errors="*{firstRegistrationDate}"
                                       style="color: red; font-weight: bold"></label>
                                <input th:field="*{firstRegistrationDate}" type="date" name="first-registration-date"
                                       class="form-control"
                                       id="first-registration-date"
                                       required/>
                            </div>
                        </div>
                        <div class="form-row justify-content-center">
                            <div class="col-md-6 form-group req-asterisk">
                                <label for="driver-age"><b>Driver age</b></label>
                                <label th:errors="*{driverAge}" style="color: red; font-weight: bold"></label>
                                <input th:field="*{driverAge}" type="text" name="driver-age" class="form-control"
                                       id="driver-age"
                                       required/>
                            </div>
                        </div>

                        <div class="form-row justify-content-center">
                            <div class="col-md-6 form-group">
                                <div class="row justify-content-center">

                                    <div class="col-6">
                                        <label for="prevYearAccidents"><b>Do you have an accident in the previous
                                            year?</b></label>
                                    </div>

                                    <div class="col-6">
                                        <label th:errors="*{prevYearAccidents}"
                                               style="color: red; font-weight: bold"></label>
                                        <input th:field="*{prevYearAccidents}" type="checkbox" name="prevYearAccidents"
                                               class="form-control checkmark" style="width: 27px; height: 27px"
                                               value="0"
                                               id="prevYearAccidents"/>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="form-row justify-content-center">
                            <div class="col-md-6 form-group req-asterisk">
                                <label for="makes-dropdown">Car Make</label>
                                <label th:errors="*{makeId}" style="color: red; font-weight: bold"></label>
                                <select th:field="*{makeId}" class="form-control" id="makes-dropdown" name="makes"
                                        required>
                                </select>
                            </div>
                        </div>

                        <div class="form-row justify-content-center">
                            <div class="col-md-6 form-group req-asterisk">
                                <label for="models-dropdown">Car Model</label>
                                <label th:errors="*{modelId}" style="color: red; font-weight: bold"></label>
                                <select th:field="*{modelId}" class="form-control" id="models-dropdown" name="models"
                                        required>
                                </select>
                            </div>
                        </div>
                        <div class="mb-3">
                            <div class="loading">Loading</div>
                            <div class="error-message"></div>
                            <div class="sent-message">You have successfully calculated your offer!
                            </div>
                        </div>
                        <div class="text-center">
                            <button type="submit">Calculate Offer</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </section>
    <!-- End Request Policy Section -->

</main>
<!-- End #main -->

<th:block th:include="~{fragments/footer-js-page-imports}"></th:block>
<script type="text/javascript">
    var cc = document.getElementById("cubic-capacity"),
        driverAge = document.getElementById("driver-age")

    function validateCubicCapacity() {
        if (cc.value.match(/^[0-9]*$/) === null) {
            cc.setCustomValidity("Please enter a number between 0 and 9999.");
        } else {
            cc.setCustomValidity('');
        }
    }

    function validateDriverAge() {
        if (driverAge.value.match(/^[0-9]*$/) === null) {
            driverAge.setCustomValidity("Please enter a number (18 or higher).");
        } else {
            driverAge.setCustomValidity('');
        }
    }

    cc.onchange = validateCubicCapacity;
    driverAge.onchange = validateDriverAge;

    var offer = document.getElementById("offer-active")
    offer.classList.add("active")

</script>

</body>
</html>